HPLIP 3.20.9 agora traz suporte para o Linux Mint 20, Debian 10 e o openSUSE 15.2

Quem tem impressoras, multifuncionais e scanners da HP, e precisa utilizar eles no Linux, quase não precisa fazer muitos ajustes, é basicamente plug-and-play. Mas se por algum motivo não funcionar, o HPLIP é a ferramenta da HP para isso.

Antes de chegar nesta versão 3.20.9, a versão anterior 3.20.6 adicionou o suporte para as seguintes distros: Fedora 32 , Manjaro 20.0 e RHEL 8.2. E também o suporte para os seguintes produtos:
HP Color LaserJet Managed MFP E78223a, HP Color LaserJet Managed MFP E78223dv, HP Color LaserJet Managed MFP E78223dn, HP Color LaserJet Mngd MFP E78223dn Plus, HP Color LaserJet Mngd MFP E78223dn CN, HP Color LaserJet Managed MFP E78228dn, HP Color LaserJet Managed MFP E78228dn Plus, HP Color LaserJet Managed MFP E78228dn CN, HP Color LaserJet Managed Flow MFP E78330z Plus, HP Color LaserJet Managed Flow MFP E78330z CN, HP Color LaserJet Managed MFP E78330dn,
HP Color LaserJet Mngd MFP E78330dn Plus, HP Color LaserJet Mngd MFP E78330dn CN,
HP Color LaserJet Managed MFP E78330z, HP Color LaserJet Managed Flow MFP E78325z Plus, HP Color LaserJet Managed Flow MFP E78325dn CN, HP Color LaserJet Managed Flow MFP E78325z CN, HP Color LaserJet Managed MFP E78325dn, HP Color LaserJet Managed MFP E78325z, HP Color LaserJet Managed Flow MFP E78323z, HP Color LaserJet Mgd Flw MFPE78323Z Plus, HP Color LaserJet Mgd Flw MFPE78323z CN, HP Color LaserJet Managed MFP E78323dn, HP Color LaserJet Mngd MFP E78323dn Plus, HP Color LaserJet Mngd MFP E78323dn CN.

Agora na versão 3.20.9, temos mais adições importantes, tanto no quesito das distros quanto dos produtos suportados. As distros adicionadas foram Linux Mint 20, openSuse 15.2 e Debian 10.4.

Um detalhe que mencionaram na Release Note, é pra quem estiver usando o openSUSE 15.2, que antes de inicializar o processo de instalação, precisa rodar o seguinte comando: su -c “zypper install lsb-release”.

Já os produtos adicionados foram: HP LaserJet MFP M234dw, HP LaserJet MFP M234dwe, HP Color LaserJet Managed MFP E57540dn, HP Color LaserJet Managed Flow MFP E57540c, HP Color LaserJet Enterprise MFP M578dn, HP Color LaserJet Enterprise MFP M578f, HP Color LaserJet Enterprise Flow MFP M578c, HP Color LaserJet Enterprise Flow MFP M578z, HP Color LaserJet Managed E55040dw, HP Color LaserJet Managed E55040dn, HP Color LaserJet Enterprise M554dn, HP Color LaserJet Enterprise M555dn, HP Color LaserJet Enterprise M555x.

Para baixar você acessa este link e escolha qual distro está usando e seguir as orientações de instalação.

Nos vemos no próximo post, forte abraço! E confira nosso Feed RSS

2 Curtidas

Eu tinha uma impressora HP Officejet Pro 8100, tranquilamente suportada e de fácil configuração via HPLIP.
Semana passada troquei de impressora… peguei uma HP Smart Tank 517… porém, ela fica com uma mensagem de “Deive is busy…” e não reconhece. Tentei fazer a configuração wifi e não avança além do passo 2.
Executando via terminal o comando “hp-wificonfig”, verifiquei uma série de mensagens:


elvio@pc-elvio-mint20:~$ hp-wificonfig 

HP Linux Imaging and Printing System (ver. 3.20.9)
Wifi Configuration Utility ver. 1.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

qt5ct: using qt5ct plugin
Searching on USB bus...
GET /IoMgmt/Adapters HTTP/1.1
Host: localhost
User-Agent: hplip/3.0
Content-Type: text/xml; charset=utf-8
Content-Length: 0


error: Channel write error
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
    adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)           
  File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
    ret = getAdaptorList(dev)
  File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
    paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
  File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
    dev.writeMarvell_EWS(data)
  File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
    return self.__writeChannel(self.openMarvell_EWS, data)
  File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
    raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
    self.showNetworkPage()
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
    self.showIOError(e)
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
    FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] Arquivo ou diretório não encontrado: '/var/crash/_usr_share_hplip_wificonfig.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 274, in showNetworkPage
    adaptor_list = self.wifiObj.getWifiAdaptorID(self.dev)           
  File "/usr/share/hplip/base/LedmWifi.py", line 97, in getWifiAdaptorID
    ret = getAdaptorList(dev)
  File "/usr/share/hplip/base/LedmWifi.py", line 60, in getAdaptorList
    paramsList,code = readXmlTagDataFromURI(dev,URI,'<io:Adapters', '<io:Adapter>')
  File "/usr/share/hplip/base/LedmWifi.py", line 499, in readXmlTagDataFromURI
    dev.writeMarvell_EWS(data)
  File "/usr/share/hplip/base/device.py", line 2232, in writeMarvell_EWS
    return self.__writeChannel(self.openMarvell_EWS, data)
  File "/usr/share/hplip/base/device.py", line 2262, in __writeChannel
    raise Error(ERROR_DEVICE_IO_ERROR)
base.g.Error: ('Device I/O error', 12)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 719, in NextButton_clicked
    self.showNetworkPage()
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 276, in showNetworkPage
    self.showIOError(e)
  File "/usr/share/hplip/ui5/wifisetupdialog.py", line 843, in showIOError
    FailureUI(self, self.__tr("<b>An I/O error occurred.</b><p>Please check the USB connection to your printer and try again.</p>(%s)" % str(e[0])))
TypeError: 'Error' object is not subscriptable

Seria algum bug dessa versão com esse modelo?

Já removi e reinistalei o HPLIP. Via gerenciador de impressoras do linux mint, sem o HPLIP, consigo imprimir normalmente. Mesmo com HPLIP, consigo imprimir, porém, segue a mensagem de “Device is busy” e sem acesso a configuração wifi para configurar a impressora na rede.

Como solução paliativa, instalei o windows 7 em uma VM, com acesso direto a porta USB da impressora, atualizei firmware e o HPLIP não funcionou. Por fim, ainda via VM, acessei as configurações wifi e defini o SSID e a senha da wifi. Então, está funcionando na rede, mas, segue sem acesso via HPLIP.

Minha preocupação é se alguém aqui de casa, sem conhecimento técnico (minha esposa ou filha) precisarem fazer algum ajuste, não vão conseguir.

Enfim, funcionando parcialmente, não testei o scanner ainda.

Então, relatando a situação para ver alguma ideia ou se mais alguém teve algum problema parecido.